View Issue Details

IDProjectCategoryView StatusLast Update
0006491Talermerchant backend API (C)public2021-09-02 18:23
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006491: /private/orders/{order_id} response should include whether there's a refund that the wallet didn't query yet
DescriptionThis allows the storefront to remind the user to pick up the refund.
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-20 20:29

manager   ~0017025

e127e9f..785bc59 updates the API spec to document the additional member "refund_pending".

Christian Grothoff

2020-10-20 20:31

manager   ~0017026

Implemented in 33e80b8..3a74de2

Christian Grothoff

2021-09-02 18:23

manager   ~0018368

Fix committed to master branch.

Related Changesets

merchant: master 3a74de26

2020-10-20 20:24:03

Christian Grothoff

Details Diff
expose refund_pending status in GET /private/orders/<ID> operation. Fixes 0006491. Affected Issues
0006491
mod - src/backend/taler-merchant-httpd_get-orders-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-get-orders-ID.c Diff File
mod - src/include/taler_merchant_service.h Diff File
mod - src/lib/merchant_api_merchant_get_order.c Diff File

Issue History

Date Modified Username Field Change
2020-08-18 17:37 Florian Dold New Issue
2020-08-18 17:37 Florian Dold Status new => assigned
2020-08-18 17:37 Florian Dold Assigned To => jonathanbuchanan
2020-10-17 00:38 Christian Grothoff Assigned To jonathanbuchanan => Christian Grothoff
2020-10-20 20:29 Christian Grothoff Note Added: 0017025
2020-10-20 20:31 Christian Grothoff Note Added: 0017026
2020-10-20 20:31 Christian Grothoff Status assigned => resolved
2020-10-20 20:31 Christian Grothoff Resolution open => fixed
2020-10-20 20:31 Christian Grothoff Fixed in Version => 0.8
2020-10-20 20:31 Christian Grothoff Product Version => git (master)
2020-10-20 20:31 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 3a74de26
2021-09-02 18:23 Christian Grothoff Note Added: 0018368